<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
   
</head>
<body>
      
    <h1 id="Header" style="text-align: center;">Curp</h1>
    <div class="container">
        <form class="form">
    
          <div class="row">
              <div class="form-group col-sm-12 col-md-12 col-lg-4">
                    <label for="Nombre" class="control-label">Nombre(s)</label>
                    <input id="Nombre" type="text" class="form-control" placeholder="Nombre"/>
              </div>
              <div class="form-group col-sm-12 col-md-6 col-lg-4">
                    <label for="APPaterno">Apellido Paterno</label>
                    <input id="APPaterno" type="text" class="form-control" placeholder="Apellido paterno"/>
              </div>
              <div class="form-group col-sm-12 col-md-6 col-lg-4">
                <label for="APMaterno">Apellido Materno</label>
                <input id="APMaterno" type="text" class="form-control" placeholder="Apellido materno"/>
          </div>
          
          </div>
          <p></p>
          
          <div class="row"><p>Fecha de nacimiento:</p>
              <div class="form-group col-sm-6 col-md-4 col-lg-4">
                    <label for="Fdia">Dia</label>
                    <input id="Fdia" type="text" class="form-control" placeholder="00"/>
              </div>
              <div class="form-group col-sm-6 col-md-4 col-lg-4">
                    <label for="Fmes">Mes</label>
                    <input id="Fmes" type="text" class="form-control" placeholder="00"/>
              </div>
              <div class="form-group col-sm-12 col-md-4 col-lg-4">
                <label for="Faño">Año</label>
                <input id="Faño" type="text" class="form-control" placeholder="0000">
          </div>
          </div>
    
          <p></p>
          <div class="row"><p>Lugar de nacimiento:</p>
                <div class="form-group col-sm-12 col-md-6 col-lg-6">
                      <label for="Ciudad">Ciudad</label>
                      <input id="Ciudad" type="text" class="form-control" placeholder="Nombre de la Ciudad"/>
                </div>
                <div class="form-group col-sm-12 col-md-6 col-lg-6">
                      <label for="Estado">Estado</label>
                      <input id="Estado" type="text" class="form-control" placeholder="Nombre del Estado"/>
                </div>
          </div>
          
          
          <div class="row">
            <div class="form-group col-sm-4 col-md-4 col-lg-4">
                  <label for="Sexo">Sexo</label>
                  <input id="Sexo" type="text" class="form-control" placeholder="H/M"/>
            </div>
      </div>
      <p></p>
          
          <button id="btn1" type="button" class="btn btn-primary" title="Muestra una alerta">Submit</button>
          <button id="btn2" type="button" class="btn btn-default">Reset</button>
          <button id="btnJson" type="button" class="btn btn-default">JSON</button>
          <button id="btnPromesa" type="button" class="btn btn-default">Promesa</button>
          <button id="btnFetch" type="button" class="btn btn-default">FETCH</button>
        </form>
    </div>

    <div id="alerta" class="alert alert-primary alert-dismissible collapse" role="alert">
      <p>Alerta</p>
      <button id="botonAlerta" type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close">
            <span  aria-hidden="true" >&times;</span>
      </button>
    </div>

    <div id="modal1" class="modal" tabindex="-1">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Modal title</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body">
            <p>Modal body text goes here.</p>
          </div>
          <div class="modal-footer">
            <button id="close" type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
            <button type="button" class="btn btn-primary">Save changes</button>
          </div>
        </div>
      </div>
    </div>

    <script>
    $(document).ready(function(){
          $('#btn1').click(function() {
                console.log("clic en btn1");
                $('#alerta').show();
          });

          $('#botonAlerta').click(function() {
                $('#alerta').hide();
          });

          $('#btn2').click(function() {
                console.log("clic en btn2");
                $('#modal1').show();
          });

          $('#close').click(function() {
                $('#modal1').hide();
          });


    });

    $('#btnJson').click(function(){
            $.post('BotonJson.php',{},function(data){
            console.log(data);
            $('#Nombre').val(data.Nombre);
            $('#APPaterno').val(data.APPaterno);
            $('#APMaterno').val(data.APMaterno);
            $('#Fdia').val(data.Fdia);
            $('#Fmes').val(data.Fmes);
            $('#Faño').val(data.Faño);
            $('#Ciudad').val(data.Ciudad);
            $('#Estado').val(data.Estado);
            $('#Sexo').val(data.Sexo);

      },'json');
    });

    $('#btnPromesa').click(function(){
      let promesa = new Promise(function(resolve,reject){
            console.log("Entro");
            var solicitud = new XMLHttpRequest();
            solicitud.onreadystatechange = function(){
            if (solicitud.readyState == 4 && solicitud.status == 200) {
                  resolve(solicitud.responseText);
            }};
            solicitud.open("GET","Archivo.txt",true);
            solicitud.send();
      });})

      document.getElementById("btnFetch").addEventListener("click",function(){
            let promesa = fetch('PracticaFetch.php');
            promesa.then( respuesta => respuesta.json() )
                  .then( datos => console.log(datos) );
      });

    </script>
</body>
</html>